## org.apache.log4j.pattern
Class LoggerPatternConverter

    java.lang.Object
      org.apache.log4j.pattern.PatternConverter
          org.apache.log4j.pattern.LoggingEventPatternConverter
              org.apache.log4j.pattern.NamePatternConverter
                  org.apache.log4j.pattern.LoggerPatternConverter

    public final class LoggerPatternConverter

extends NamePatternConverter

Formats a logger name.

Author:
  Ceki Gülcü

Method Summary
`void` `format(LoggingEvent event, StringBuffer toAppendTo)` Formats an event into a string buffer.
`static LoggerPatternConverter` `newInstance(String[] options)` Obtains an instance of pattern converter.

Methods inherited from class org.apache.log4j.pattern.NamePatternConverter
`abbreviate`

Methods inherited from class org.apache.log4j.pattern.LoggingEventPatternConverter
`format, handlesThrowable`

Methods inherited from class org.apache.log4j.pattern.PatternConverter
`getName, getStyleClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### newInstance

    public static LoggerPatternConverter newInstance(String[] options)

  Obtains an instance of pattern converter.

  Parameters:
    `options` - options, may be null.
  Returns:
    instance of pattern converter.

### format

    public void format(LoggingEvent event,
                       StringBuffer toAppendTo)

  Formats an event into a string buffer.

  Specified by:
    `format` in class `LoggingEventPatternConverter`
  Parameters:
    `event` - event to format, may not be null.
    `toAppendTo` - string buffer to which the formatted event will be appended. May not be null.

Copyright © 1999-2012 Apache Software Foundation. All Rights Reserved.